﻿using Microsoft.Practices.Mobile.Configuration;

namespace ConfigurationGettingStarted
{
    class ApplicationSummary: ConfigurationSection
	{
        private const string AttributeName = "name";
        private const string AttributeUrl = "url";

        [ConfigurationProperty(AttributeName)]
        //public string Name { get; set; }

        //[ConfigurationProperty(AttributeUrl)]
        //public string Url { get; set; }

        public string Name
        {
            get { return (string)this[AttributeName]; }
            set { this[AttributeName] = value; }
        }

        [ConfigurationProperty(AttributeUrl)]
        public string Url
        {
            get { return (string)this[AttributeUrl]; }
            set { this[AttributeUrl] = value; }
        }
    }
}
