﻿using Microsoft.Practices.Mobile.Configuration;

namespace ConfigurationGettingStarted
{
    class Settings : ConfigurationSection
    {
        private const string ElementAppSettings = "appSettings";
        private const string ElementConnectionStrings = "connectionStrings";

        [ConfigurationProperty(ElementAppSettings, IsRequired = true)]
        public AppSettingCollection AppSettings
        {
            get { return (AppSettingCollection)this[ElementAppSettings]; }
        }

        [ConfigurationProperty(ElementConnectionStrings, IsRequired = true)]
        public ConnectionStringCollection ConnectionStrings
        {
            get { return (ConnectionStringCollection)this[ElementConnectionStrings]; }
        }
    }
}
