﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.ContainerModel;
using EditUsers_Best;
using EditUsers_Best.ManageUsersModule;

namespace AppConfiguration
{
    public class ConfigurationModule : IContainerModule
    {
        public void Configure(Container container)
        {
            // Call the configuration method for the ManageUsers module
            new ManageUsersModuleConfigurator(container.Resolve<ITaskService>()).Configure(container);

            // Configure all other modules.
        }
    }
}
