﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EditUsers_Best.ManageUsersModule
{
    public interface IRepository<TEntity>
        where TEntity : IEntity
    {
        string Create(TEntity entity);
        bool Update(TEntity entity);
        bool Delete(TEntity entity);
        bool Delete(string entityId);
        TEntity Get(string entityId);
        IEnumerable<TEntity> GetAll();
    }
}
