﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace DataAccessApplicationBlockGettingStarted
{
    public class Customer
    {
        #region Constants
        // Define the column names as constants - then you can use these constants when
        // identifying columns in the datasource in code elsewhere (see DataLayer class)
        // then if you change the table layout or rename a column, you only need to make the 
        // change once in this class.
        public const string CUSTOMERID_COLUMN = "CustomerId";
        public const string NAME_COLUMN = "Name";
        public const string TITLE_COLUMN = "Title";
        // Also the key names - as defined in the CreateTable.sql script
        public const string PRIMARY_KEY = "PK_CustomerId";
        #endregion

        public int CustomerId { get; set; }
        public string Name { get; set; }
        public string Title { get; set; }
    }
}
