﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.ContainerModel;
using EventAggregationQuickStart;
using ModuleA;

namespace AppConfiguration
{
    public class ConfigurationModule : IContainerModule
    {
        public void Configure(Container container)
        {
            // Call the configuration method for the ModuleA module
            new ModuleAConfigurator(container.Resolve<ITaskService>()).Configure(container);

            // Call configuration method for the Service
            new SomeService.SomeServiceConfigurator().Configure(container);

            // Configure all other modules.
            // ...
        }
    }
}
