using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace Q4Tech.Engineering.UpdaterAgent.XSD
{
    public class ManifestList
    {
        private List<Manifest> manifests = new List<Manifest>();

        public List<Manifest> Manifests
        {
            get { return manifests; }
            set { manifests = value; }
        }
    }

    public class Manifest
    {
        private String downloader;

        [XmlAttribute]
        public String Downloader
        {
            get { return downloader; }
            set { downloader = value; }
        }

        private String applicationId;

        [XmlAttribute]
        public String ApplicationId
        {
            get { return applicationId; }
            set { applicationId = value; }
        }

        private String manifestUri;

        [XmlAttribute]
        public String ManifestUri
        {
            get { return manifestUri; }
            set { manifestUri = value; }
        }        
    }
}
