﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EditUsers_Better.ManageUsersModule
{
    public interface IUserRepository : IRepository<User>
    {
        /// <summary>
        /// Finds a user by flexibly matching either first or last name.
        /// </summary>
        IEnumerable<User> FindByName(string criteria);
    }
}
